curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/user_vault_performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/user_vault_performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/user_vault_performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account_address": "<string>",
"vault": {
"address": "<string>",
"created_at": 123,
"manager": "<string>",
"name": "<string>",
"status": "<string>",
"all_time_pnl": 123,
"all_time_return": 123,
"apr": 123,
"average_leverage": 123,
"depositors": 123,
"description": "<string>",
"lockdown_period_s": 259200,
"manager_cash_pct": 123,
"max_drawdown": 123,
"net_deposits": 30277044.96,
"past_month_return": 123,
"perp_equity": 123,
"pnl_90d": 123,
"profit_share": 123,
"sharpe_ratio": 123,
"social_links": [
"<string>"
],
"tvl": 123,
"vault_type": "<string>",
"volume": 123,
"volume_30d": 123,
"weekly_win_rate_12w": 123
},
"all_time_earned": 123,
"all_time_return": 123,
"current_num_shares": 1,
"current_value_of_shares": 123,
"deposits": [
{
"amount_usdc": 123,
"shares_received": 1,
"timestamp_ms": 123,
"unlock_timestamp_ms": 123
}
],
"locked_amount": 123,
"share_price": 123,
"total_deposited": 123,
"total_withdrawn": 123,
"unrealized_pnl": 123,
"volume": 123,
"weekly_win_rate_12w": 123,
"withdrawals": [
{
"shares_redeemed": 1,
"status": "<string>",
"timestamp_ms": 123,
"amount_usdc": 123
}
]
}
]Get user vault performance (deprecated)
Deprecated: This endpoint is deprecated. Please use /api/v1/account_vault_performance instead.
This endpoint is maintained for backwards compatibility only.
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Query Parameters
Account address
Number of results to skip (for pagination)
0 <= x <= 10000Maximum number of results to return
0 <= x <= 1000Response
User vault performance retrieved successfully
Vault object with metadata + metrics
Show child attributes
Show child attributes
All-time profit/loss in USDC (includes both realized and unrealized)
All-time return percentage (includes both realized and unrealized)
Number of shares owned (in base units with 6 decimals)
x >= 0Current value of user's shares in USDC
Show child attributes
Show child attributes
Amount currently locked (cannot withdraw). Frontend: withdrawable = current_value_of_shares - locked_amount
Current share price (NAV per share)
Total amount deposited in USDC (sum of all contributions)
Total amount withdrawn in USDC (sum of all settled redemptions)
Unrealized profit/loss in USDC (only on current holdings)
Trading volume in USDC
Show child attributes
Show child attributes

